Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DescribeDBInstancesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.DescribeDBInstancesRequest

    public class DescribeDBInstancesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeDBInstances operation`.

This API is used to retrieve information about provisioned RDS instances. DescribeDBInstances supports pagination.

See Also:
  `AmazonRDS.describeDBInstances(DescribeDBInstancesRequest)`

Constructor Summary
`DescribeDBInstancesRequest()`

Method Summary
`String` | `getDBInstanceIdentifier()` The user-supplied instance identifier.
`String` | `getMarker()` An optional marker provided in the previous DescribeDBInstances request.
`Integer` | `getMaxRecords()` The maximum number of records to include in the response.
`void` | `setDBInstanceIdentifier(String dBInstanceIdentifier)` The user-supplied instance identifier.
`void` | `setMarker(String marker)` An optional marker provided in the previous DescribeDBInstances request.
`void` | `setMaxRecords(Integer maxRecords)` The maximum number of records to include in the response.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeDBInstancesRequest` | `withDBInstanceIdentifier(String dBInstanceIdentifier)` The user-supplied instance identifier.
`DescribeDBInstancesRequest` | `withMarker(String marker)` An optional marker provided in the previous DescribeDBInstances request.
`DescribeDBInstancesRequest` | `withMaxRecords(Integer maxRecords)` The maximum number of records to include in the response.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeDBInstancesRequest

    public DescribeDBInstancesRequest()

Method Detail

### getDBInstanceIdentifier

    public String getDBInstanceIdentifier()

  The user-supplied instance identifier. If this parameter is specified, information from only the specific DB Instance is returned. This parameter isn't case sensitive.

  Returns:
    The user-supplied instance identifier. If this parameter is specified, information from only the specific DB Instance is returned. This parameter isn't case sensitive.

### setDBInstanceIdentifier

    public void setDBInstanceIdentifier(String dBInstanceIdentifier)

  The user-supplied instance identifier. If this parameter is specified, information from only the specific DB Instance is returned. This parameter isn't case sensitive.

  Parameters:
    `dBInstanceIdentifier` - The user-supplied instance identifier. If this parameter is specified, information from only the specific DB Instance is returned. This parameter isn't case sensitive.

### withDBInstanceIdentifier

    public DescribeDBInstancesRequest withDBInstanceIdentifier(String dBInstanceIdentifier)

  The user-supplied instance identifier. If this parameter is specified, information from only the specific DB Instance is returned. This parameter isn't case sensitive.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceIdentifier` - The user-supplied instance identifier. If this parameter is specified, information from only the specific DB Instance is returned. This parameter isn't case sensitive.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMaxRecords

    public Integer getMaxRecords()

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Returns:
    The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

### setMaxRecords

    public void setMaxRecords(Integer maxRecords)

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Parameters:
    `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

### withMaxRecords

    public DescribeDBInstancesRequest withMaxRecords(Integer maxRecords)

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMarker

    public String getMarker()

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Returns:
    An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

### setMarker

    public void setMarker(String marker)

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Parameters:
    `marker` - An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

### withMarker

    public DescribeDBInstancesRequest withMarker(String marker)

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `marker` - An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.